Get Oasis Order Details¶
Query Oasis account order information. Only supports withdrawal and transfer orders.
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
orderNo |
String | Order number |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Order information array. |
data (object)
| Field | Type | Description |
|---|---|---|
| accountId | String | Account ID |
| orderNo | String | Order number |
| exchangeId | String | Exchange ID (for transfer orders) |
| currency | String | Currency type |
| tokenName | String | Token name |
| applicant | String | Applicant |
| fee | String | Withdrawal fee |
| description | String | Order description |
| status | String | Order status |
| dest | String | Destination identifier: withdrawal address, account ID, or Oasis UID depending on transfer type |
| remark | String | Destination address note |
| memo | String | Memo, also known as tag/label/comment |
| amount | String | Amount |
| type | String | Transaction type |
| txInfos | Object | Transaction information. |
| canReview | Boolean | Whether the current user can review this order (for withdrawal or internal transfer orders) |
| reviewLevelNum | String | Current review level for the order (for withdrawal or internal transfer orders) |
| reviewRecordInfo | Object[] | Order review record information list (for withdrawal or internal transfer orders). |
| orderAuditInfo | Object[] | Order level audit information list. |
txInfos (object)
| Field | Type | Description |
|---|---|---|
| txHash | String | Transaction hash |
reviewRecordInfo (object)
| Field | Type | Description |
|---|---|---|
| reviewLevelNum | String | Review level |
| needReviewNumber | String | Number of people required to participate in review at this level |
| reviewedNumber | String | Number of people who have completed review at this level. If equal to needReviewNumber, it indicates the current level has passed review |
| orderAuditInfo | Object[] | Order level audit information list. |
orderAuditInfo (object)
| Field | Type | Description |
|---|---|---|
| reviewer | String | Reviewer |
| reviewResult | String | Current review status |
| reviewTimeStamp | String | Review completion time (or 0 if not yet reviewed) |
| reviewRemark | String | Review comment |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"currency": "AVAX",
"applicant": "186xxxx9051@163.com",
"fee": "0",
"description": null,
"status": "FINISHED",
"dest": "100188",
"remark": null,
"amount": "0.3",
"type": "transfer2buff",
"accountId": "100150",
"orderNo": "6e9a19cf06884147a149807a791dd7ae",
"exchangeId": "abf085f25fa2458798aacb610f642bd3",
"tokenName": "",
"txInfos": null
},
"successful": true
}